広告

ERR_SPDY_INADEQUATE_TRANSPORT_SECURITY

!!! 半年以上も前に書かれた古い情報です !!!
!!! 半年以上も前に書かれた古い情報です !!!
!!! 半年以上も前に書かれた古い情報です !!!
!!! 半年以上も前に書かれた古い情報です !!!
!!! 半年以上も前に書かれた古い情報です !!!

HTTP/2 な設定を施した nginx 1.9.9 に Google Chrome 47 でアクセスしようとすると

ERR_SPDY_INADEQUATE_TRANSPORT_SECURITY

と表示されてアクセスできない.

結論としては,デフォルトで

ssl_ciphers HIGH:!aNULL:!MD5;

となっている箇所を

ssl_ciphers AESGCM:HIGH:!aNULL:!MD5;

と変更すればよい.

詳細については下記のサイトで解説されています.

ssl_prefer_server_ciphersを有効にしたらERR_SPDY_INADEQUATE_TRANSPORT_SECURITYが出るようになった。
http://d.hatena.ne.jp/ASnoKaze/20150817/1439830543

広告

HTTP/2, nginx

Posted by admin